﻿using FlexibleGameServer.ObjectsNetworkingModel;
using FlexibleGameServer.Vectors;
using FlexibleGameServer;

namespace ConsoleApplication2
{
    public class ComponentTransform : StandaloneServerObservedComponent
    {
        [WriteField(NetSerializeGroups.TcpBroadcast)]
        [ReadField(NetSerializeGroups.Tcp)]
        private FloatVector3 _position;

        [WriteField(NetSerializeGroups.TcpBroadcast)]
        [ReadField(NetSerializeGroups.Tcp)]
        private FloatVector3 _rotation;

        public override void OnNetRemoteInitializing(DataBuffer.BinaryWriter writer, ObjectsNetworkingServerProtocol session)
        {
            writer.Write(_position);
            writer.Write(_rotation);
            base.OnNetRemoteInitializing(writer, session);
        }
    }
}